# Weather | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Weather

- Defined in src/data/weather.ts:16

##### Index

### Constructors

constructor

### Properties

turnsLeft
weatherType

### Methods

getAttackTypeMultiplier
isDamaging
isEffectSuppressed
isImmutable
isMoveWeatherCancelled
isTypeDamageImmune
lapse

## Constructors

### constructor

- new Weather(weatherType: WeatherType , turnsLeft?: number): Weather

  #### Parameters

  - weatherType: WeatherType
  - `Optional` turnsLeft: number

  #### Returns Weather

  - Defined in src/data/weather.ts:20

## Properties

### turnsLeft

turnsLeft: number

- Defined in src/data/weather.ts:18

### weatherType

weatherType: WeatherType

- Defined in src/data/weather.ts:17

## Methods

### getAttackTypeMultiplier

- getAttackTypeMultiplier(attackType: PokemonType ): number

  #### Parameters

  - attackType: PokemonType

  #### Returns number

  - Defined in src/data/weather.ts:68

### isDamaging

- isDamaging(): boolean

  #### Returns boolean

  - Defined in src/data/weather.ts:47

### isEffectSuppressed

- isEffectSuppressed(): boolean

  #### Returns boolean

  - Defined in src/data/weather.ts:106

### isImmutable

- isImmutable(): boolean

  #### Returns boolean

  - Defined in src/data/weather.ts:36

### isMoveWeatherCancelled

- isMoveWeatherCancelled(user: default , move: default ): boolean

  #### Parameters

  - user: default
  - move: default

  #### Returns boolean

  - Defined in src/data/weather.ts:93

### isTypeDamageImmune

- isTypeDamageImmune(type: PokemonType ): boolean

  #### Parameters

  - type: PokemonType

  #### Returns boolean

  - Defined in src/data/weather.ts:57

### lapse

- lapse(): boolean

  #### Returns boolean

  - Defined in src/data/weather.ts:25